/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_EFFECTSLOT_H
#define AUDITION_SESSIONSDK_EFFECTSLOT_H

#include "AuditionSDK/ASDKTypes.h"

namespace ases
{
	enum EffectSlot
	{
		kEffectSlot_Gain		=	0xfffffff0,
		kEffectSlot_Pan			=	0xfffffff1,
		kEffectSlot_Mute		=	0xfffffff2,
		kEffectSlot_Meter		=	0xfffffff3,
		
		kEffectSlot_RackInput	=	0xfffffffb,
		kEffectSlot_RackOutput	=	0xfffffffc,
		kEffectSlot_RackMix		=	0xfffffffd,
		kEffectSlot_RackBypass	=	0xfffffffe,
		
		kEffectSlot_Invalid		=	0xffffffff,

		// Rack effects
		kEffectSlot_RackBegin	=	0,
		kEffectSlot_RackEnd		=	15
		
	}; // EffectSlot

} // namespace ases

#endif // AUDITION_SESSIONSDK_EFFECTSLOT_H
