/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2008 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_IEDITSENDLIST_H
#define AUDITION_SESSIONSDK_IEDITSENDLIST_H

#include "AuditionSDK/ASDKTypes.h"
#include "AuditionSDK/ASDKInterface.h"
#include "AuditionSDK/Session/IEditSend.h"

namespace ases
{

	/////////////////////////////////////////
	//
	// Interface to edit send list properties
	//
	class IEditSendList
		:
		public asdk::InterfaceBase
	{
	public:
		
		//////////////////////////////////////////
		//
		virtual IEditSend* AddSend() = 0;
			
	}; // IEditSendList
	
	
	typedef asdk::InterfacePtr<IEditSendList> IEditSendListPtr;
	
} // namespace ases

#endif // AUDITION_SESSIONSDK_IEDITSENDLIST_H
