/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2010 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_TRACKEQPARAMETERS_H
#define AUDITION_SESSIONSDK_TRACKEQPARAMETERS_H

#include "AuditionSDK/ASDKTypes.h"

namespace ases
{
	enum TrackEQParameterIndex
	{
		kTrackEQParameterIndex_LPCutoff = 0,
		kTrackEQParameterIndex_LPAmp,
		kTrackEQParameterIndex_HPCutoff,
		kTrackEQParameterIndex_HPAmp,
		kTrackEQParameterIndex_Center1,
		kTrackEQParameterIndex_Q1,
		kTrackEQParameterIndex_Amp1,
		kTrackEQParameterIndex_Enable1,
		kTrackEQParameterIndex_Center2,
		kTrackEQParameterIndex_Q2,
		kTrackEQParameterIndex_Amp2,
		kTrackEQParameterIndex_Enable2,
		kTrackEQParameterIndex_Center3,
		kTrackEQParameterIndex_Q3,
		kTrackEQParameterIndex_Amp3,
		kTrackEQParameterIndex_Enable3,
		kTrackEQParameterIndex_Center4,
		kTrackEQParameterIndex_Q4,
		kTrackEQParameterIndex_Amp4,
		kTrackEQParameterIndex_Enable4,
		kTrackEQParameterIndex_Center5,
		kTrackEQParameterIndex_Q5,
		kTrackEQParameterIndex_Amp5,
		kTrackEQParameterIndex_Enable5,
		kTrackEQParameterIndex_Gain,
		kTrackEQParameterIndex_ConstantQ,
		kTrackEQParameterIndex_LowShelve2ndOrder,
		kTrackEQParameterIndex_HighShelve2ndOrder,
		kTrackEQParameterIndex_UltraQuiet,
		kTrackEQParameterIndex_LPEnable,
		kTrackEQParameterIndex_HPEnable,
		kTrackEQParameterIndex_OriginalSampleRate,
		kTrackEQParameterIndex_Width1,
		kTrackEQParameterIndex_Width2,
		kTrackEQParameterIndex_Width3,
		kTrackEQParameterIndex_Width4,
		kTrackEQParameterIndex_Width5,
		kTrackEQParameterIndex_HiPassEnable,
		kTrackEQParameterIndex_HiPassFrequency,
		kTrackEQParameterIndex_HiPassSlope,
		kTrackEQParameterIndex_LoPassEnable,
		kTrackEQParameterIndex_LoPassFrequency,
		kTrackEQParameterIndex_LoPassSlope,
		kTrackEQParameterIndex_Bypass,
		kTrackEQParameterIndex_Max
	}; // TrackEQParameterIndex

} // namespace ases

#endif // AUDITION_SESSIONSDK_TRACKEQPARAMETERS_H
