/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2010 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_MARKERTYPE_H
#define AUDITION_SESSIONSDK_MARKERTYPE_H

#include "AuditionSDK/ASDKTypes.h"

namespace ases
{

	// MarkerType represents the different marker types used in Audition
	enum MarkerType
	{
		kMarkerType_Cue = 0,	// The default marker type
		kMarkerType_Track		// track marker type
	};

} // namespace ases

#endif // AUDITION_SESSIONSDK_MARKERTYPE_H
