/**************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2010 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of
* Adobe Systems Incorporated  and its suppliers,  if any.  The intellectual 
* and technical concepts contained herein are proprietary to  Adobe Systems 
* Incorporated  and its suppliers  and may be  covered by U.S.  and Foreign 
* Patents,patents in process,and are protected by trade secret or copyright 
* law.  Dissemination of this  information or reproduction of this material
* is strictly  forbidden  unless prior written permission is  obtained from 
* Adobe Systems Incorporated.
**************************************************************************/

#ifndef AUDITION_SESSIONSDK_SENDPARAMETERS_H
#define AUDITION_SESSIONSDK_SENDPARAMETERS_H

#include "AuditionSDK/ASDKTypes.h"

namespace ases
{
	const asdk::uint32 kSend_MaxNumSlots = 16;
	
	enum SendParameter
	{
		kSendParameter_Power = 0,
		kSendParameter_Level = 1,
		kSendParameter_NumParameters
	}; // SendParameter
	
} // namespace ases

#endif // AUDITION_SESSIONSDK_SENDPARAMETERS_H
